PHPExcel_Writer_Excel2007

# Class: PHPExcel_Writer_Excel2007_ContentTypes

Source Location: /PHPExcel/Writer/Excel2007/ContentTypes.php

### Class Overview

    PHPExcel_Writer_Excel2007_WriterPart
       |
       --PHPExcel_Writer_Excel2007_ContentTypes

PHPExcel_Writer_Excel2007_ContentTypes

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- writeContentTypes

### Inherited Methods

#### Class: PHPExcel_Writer_Excel2007_WriterPart

PHPExcel_Writer_Excel2007_WriterPart::__construct()
  Set parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()
  Get parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()
  Set parent IWriter object

### Class Details

[line 36]
PHPExcel_Writer_Excel2007_ContentTypes

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method writeContentTypes [line 46]

`string writeContentTypes( [PHPExcel $pPHPExcel = null], [boolean $includeCharts = FALSE])`

Write content types to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |
boolean | $includeCharts | Flag indicating if we should include drawing details for charts

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:34 +0200 by phpDocumentor 1.4.4